CreateUserDefinedFunction
curl --request POST \
--url https://api.siftstack.com/api/v1/user-defined-functions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"expression": "<string>",
"functionInputs": [
{
"identifier": "<string>",
"dataType": "FUNCTION_DATA_TYPE_UNSPECIFIED",
"constant": true
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"description": "<string>",
"userNotes": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/user-defined-functions"
payload = {
"name": "<string>",
"expression": "<string>",
"functionInputs": [
{
"identifier": "<string>",
"dataType": "FUNCTION_DATA_TYPE_UNSPECIFIED",
"constant": True
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"description": "<string>",
"userNotes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/user-defined-functions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"expression\": \"<string>\",\n \"functionInputs\": [\n {\n \"identifier\": \"<string>\",\n \"dataType\": \"FUNCTION_DATA_TYPE_UNSPECIFIED\",\n \"constant\": true\n }\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"description\": \"<string>\",\n \"userNotes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userDefinedFunction": {
"userDefinedFunctionId": "<string>",
"name": "<string>",
"userDefinedFunctionVersionId": "<string>",
"version": 123,
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"expression": "<string>",
"functionInputs": [
{
"identifier": "<string>",
"dataType": "FUNCTION_DATA_TYPE_UNSPECIFIED",
"constant": true
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"archivedDate": "2023-11-07T05:31:56Z",
"functionOutputType": "FUNCTION_DATA_TYPE_UNSPECIFIED"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}UserDefinedFunctionService
CreateUserDefinedFunction
Create a user defined function.
POST
/
api
/
v1
/
user-defined-functions
CreateUserDefinedFunction
curl --request POST \
--url https://api.siftstack.com/api/v1/user-defined-functions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"expression": "<string>",
"functionInputs": [
{
"identifier": "<string>",
"dataType": "FUNCTION_DATA_TYPE_UNSPECIFIED",
"constant": true
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"description": "<string>",
"userNotes": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/user-defined-functions"
payload = {
"name": "<string>",
"expression": "<string>",
"functionInputs": [
{
"identifier": "<string>",
"dataType": "FUNCTION_DATA_TYPE_UNSPECIFIED",
"constant": True
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"description": "<string>",
"userNotes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/user-defined-functions"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"expression\": \"<string>\",\n \"functionInputs\": [\n {\n \"identifier\": \"<string>\",\n \"dataType\": \"FUNCTION_DATA_TYPE_UNSPECIFIED\",\n \"constant\": true\n }\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"description\": \"<string>\",\n \"userNotes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userDefinedFunction": {
"userDefinedFunctionId": "<string>",
"name": "<string>",
"userDefinedFunctionVersionId": "<string>",
"version": 123,
"description": "<string>",
"changeMessage": "<string>",
"userNotes": "<string>",
"expression": "<string>",
"functionInputs": [
{
"identifier": "<string>",
"dataType": "FUNCTION_DATA_TYPE_UNSPECIFIED",
"constant": true
}
],
"functionDependencies": [
{
"userDefinedFunctionVersionId": "<string>"
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"isArchived": true,
"archivedDate": "2023-11-07T05:31:56Z",
"functionOutputType": "FUNCTION_DATA_TYPE_UNSPECIFIED"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I